# KSPGMRESSetRestart

Sets number of iterations at which GMRES, FGMRES and LGMRES restarts.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPGMRESSetRestart(KSP ksp, PetscInt restart)

Collective on KSP

### Input Parameters

| ksp | - the Krylov space context
| restart | - integer restart value

### Options Database

-ksp_gmres_restart <positive integer> - Note: The default value is 30.

### Keywords

KSP, GMRES, restart, iterations

### See Also

KSPSetTolerances(), KSPGMRESSetOrthogonalization(), KSPGMRESSetPreAllocateVectors()

Level:intermediate
Location: src/ksp/ksp/impls/gmres/gmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages